# List of all discount coupons

Using this endpoint, you can get list of all discount coupons with detailed
info of each discount coupon asynchronously. See how [Asynchronous
requests](https://developers.shoptet.com/asynchronous-requests/) work on our developer's portal.



Response will be in jsonlines format with each
discount coupon taking one line of output file.



One discount coupon in response has the same format as one discount coupon
item form list response. See Discount coupon snapshot schema for more details.



Result file is compressed using GZIP.

Endpoint: GET /api/discount-coupons/snapshot
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `codeFrom` (string)
    Export discount coupons with code after given value
    Example: "0000000006"

  - `codeTo` (string)
    Export discount coupons with code befor given value
    Example: "0000000006"

  - `creationTimeFrom` (string)
    Export discount coupons created after date
    Example: "2014-09-05T00:00:00%2B0000"

  - `creationTimeTo` (string)
    Export discount coupons created before date
    Example: "2019-09-05T00:00:00%2B0000"

  - `discountType` (string)
    Export discount coupons with given discount type (percentual, fixed)
    Example: "free"

  - `validFrom` (string)
    Export discount coupons valid after date
    Example: "2014-09-05"

  - `validTo` (string)
    Export discount coupons valid before date
    Example: "2019-09-05"

  - `reusable` (boolean)
    Is the discount coupon reusable?
    Example: true

  - `template` (string, required)
    GUID of discount coupon template
    Example: "01b39ad8-8686-11e9-968c-08002774f818"

  - `currency` (string)
    Currency of fixed discount
    Example: "EUR"

  - `shippingPrice` (string, required)
    How the transport prices are calculated: according to the cart
before discounts (beforeDiscount), according to the displayed value
of the cart (cart), or free (free)
    Example: "cart"

## Header parameters:

  - `Content-Type` (string, required)

## Response 202 fields (application/json):

  - `data` (object)

  - `data.jobId` (string, required)
    token of job

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


